PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PXMLRPCVariableBase Class Referenceabstract

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCVariableBase:
[legend]
Collaboration diagram for PXMLRPCVariableBase:
[legend]

## Public Member Functions
const char * | GetName () const
const char * | GetType () const
virtual void | Copy (const PXMLRPCVariableBase &other)=0
virtual PString | ToString (PINDEX i) const
virtual void | FromString (PINDEX i, const PString &str)
virtual PXMLRPCStructBase * | GetStruct (PINDEX i) const
virtual PBoolean | IsArray () const
virtual PINDEX | GetSize () const
virtual PBoolean | SetSize (PINDEX)
PString | ToBase64 (PAbstractArray &data) const
void | FromBase64 (const PString &str, PAbstractArray &data)
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions
| PXMLRPCVariableBase (const char *name, const char *type=NULL)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes
const char * | name
const char * | type
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PXMLRPCVariableBase::PXMLRPCVariableBase | ( | const char * | name,
|  | const char * | type = `NULL`
| ) |  |
| protected

## Member Function Documentation

virtual void PXMLRPCVariableBase::Copy | ( | const PXMLRPCVariableBase & | other | ) |
| pure virtual

Implemented in PXMLRPCArrayBase.

void PXMLRPCVariableBase::FromBase64 | ( | const PString & | str,
|  | PAbstractArray & | data
| ) |  |

virtual void PXMLRPCVariableBase::FromString | ( | PINDEX | i,
|  | const PString & | str
| ) |  |
| virtual

Reimplemented in PXMLRPCArrayObjectsBase.

const char* PXMLRPCVariableBase::GetName | ( |  | ) | const
| inline

References name.

virtual PINDEX PXMLRPCVariableBase::GetSize | ( |  | ) | const
| virtual

Reimplemented in PXMLRPCArrayBase.

virtual PXMLRPCStructBase* PXMLRPCVariableBase::GetStruct | ( | PINDEX | i | ) | const
| virtual

const char* PXMLRPCVariableBase::GetType | ( |  | ) | const
| inline

References type.

virtual PBoolean PXMLRPCVariableBase::IsArray | ( |  | ) | const
| virtual

Reimplemented in PXMLRPCArrayBase.

virtual PBoolean PXMLRPCVariableBase::SetSize | ( | PINDEX |  | ) |
| virtual

Reimplemented in PXMLRPCArrayObjectsBase, and PXMLRPCArrayBase.

PString PXMLRPCVariableBase::ToBase64 | ( | PAbstractArray & | data | ) | const

virtual PString PXMLRPCVariableBase::ToString | ( | PINDEX | i | ) | const
| virtual

Reimplemented in PXMLRPCArrayObjectsBase.

## Member Data Documentation

const char* PXMLRPCVariableBase::name
| protected

Referenced by GetName().

const char* PXMLRPCVariableBase::type
| protected

Referenced by GetType().

The documentation for this class was generated from the following file:

- pxmlrpc.h